# FileMode (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.sshj.sftp
Class FileMode

    java.lang.Object
      net.schmizz.sshj.sftp.FileMode

    public class FileMode

extends Object

Nested Class Summary
`static class` `FileMode.Type`

Constructor Summary
`FileMode(int mask)`

Method Summary
`int` `getMask()`
`Set<FilePermission>` `getPermissions()`
`int` `getPermissionsMask()`
`FileMode.Type` `getType()`
`int` `getTypeMask()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FileMode

    public FileMode(int mask)

Method Detail

### getMask

    public int getMask()

### getTypeMask

    public int getTypeMask()

### getPermissionsMask

    public int getPermissionsMask()

### getType

    public FileMode.Type getType()

### getPermissions

    public Set<FilePermission> getPermissions()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2009-2011. All Rights Reserved.